=== debian/control ===
Source: ros-lunar-rosmon
Section: misc
Priority: extra
Maintainer: Max Schwarz <max.schwarz@uni-bonn.de>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libncurses5-dev, libyaml-cpp-dev, python-dev, python-rospkg, qtbase5-dev, ros-lunar-catch-ros, ros-lunar-catkin, ros-lunar-cmake-modules, ros-lunar-message-generation, ros-lunar-rosbash, ros-lunar-roscpp, ros-lunar-roslib, ros-lunar-rospack, ros-lunar-rostest, ros-lunar-rqt-gui, ros-lunar-rqt-gui-cpp, ros-lunar-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-lunar-rosmon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libncurses5-dev, libyaml-cpp-dev, ros-lunar-cmake-modules, ros-lunar-message-generation, ros-lunar-rosbash, ros-lunar-roscpp, ros-lunar-roslib, ros-lunar-rospack, ros-lunar-rqt-gui, ros-lunar-rqt-gui-cpp, ros-lunar-std-msgs
Description: Node launcher and monitor for ROS.
 rosmon is a replacement for the roslaunch tool, focused on performance, remote monitoring, and usability.
